%global major 0
%define libname %mklibname pagemaker %{api} %{major}
%define devname %mklibname pagemaker -d
%global api 0.0

Summary:	A library for import of Adobe PageMaker documents
Name:		libpagemaker
Version:	0.0.2
Release:	1
License:	MPLv2.0
Group:		System/Libraries
Url:		http://wiki.documentfoundation.org/DLP/Libraries/libpagemaker
Source0:	http://dev-www.libreoffice.org/src/%{name}/%{name}-%{version}.tar.xz
BuildRequires:	doxygen
BuildRequires:	help2man
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(librevenge-0.0)

%description
libpagemaker is library providing ability to interpret and import Adobe
PageMaker documents into various applications.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	A library for import of Adobe PageMaker documents
Group:		System/Libraries

%description -n %{libname}
libpagemaker is library providing ability to interpret and import Adobe
PageMaker documents into various applications.

%files -n %{libname}
%doc AUTHORS COPYING NEWS
%{_libdir}/%{name}-%{api}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{name}.

%files -n %{devname}
%doc ChangeLog
%{_includedir}/%{name}-%{api}
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation of %{name} API
Group:		Documentation
BuildArch:	noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%files doc
%doc COPYING
%doc docs/doxygen/html

#----------------------------------------------------------------------------

%package tools
Summary:	Tools to transform Adobe PageMaker documents into other formats
Group:		Publishing
Requires:	%{libname} = %{EVRD}

%description tools
Tools to transform Adobe PageMaker documents into other formats.
Currently supported: SVG, raw.

%files tools
%{_bindir}/pmd2raw
%{_bindir}/pmd2svg
%{_mandir}/man1/pmd2raw.1*
%{_mandir}/man1/pmd2svg.1*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--disable-werror
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
%make

export LD_LIBRARY_PATH=`pwd`/src/lib/.libs${LD_LIBRARY_PATH:+:${LD_LIBRARY_PATH}}
help2man -N -n 'debug the conversion library' -o pmd2raw.1 ./src/conv/raw/.libs/pmd2raw
help2man -N -n 'convert PageMaker document into SVG' -o pmd2svg.1 ./src/conv/svg/.libs/pmd2svg

%install
%makeinstall_std

# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

install -m 0755 -d %{buildroot}/%{_mandir}/man1
install -m 0644 pmd2*.1 %{buildroot}/%{_mandir}/man1


%changelog
* Tue Mar 03 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.0.2-1
+ Revision: a4ae01c
- Fix library package name, spec cleanup


